# $Revision: 1.23 $, $Date: 2010/03/01 18:46:50 $
%define pkgname ncurses
Summary:	Ruby interface to Ncurses
Summary(pl.UTF-8):	Interfejs Ncurses dla Ruby
Name:		ruby-%{pkgname}
Version:	1.2.4
Release:	1
License:	Ruby-alike
Group:		Development/Languages
Source0:	http://download.berlios.de/ncurses-ruby/%{pkgname}-ruby-%{version}.tar.bz2
# Source0-md5:	8a3e0ed33ac245241b6afd911520c205
Patch0:		%{name}-utf8.patch
URL:		http://ncurses-ruby.berlios.de/
BuildRequires:	ncurses-devel
BuildRequires:	rpmbuild(macros) >= 1.277
BuildRequires:	ruby-devel >= 1:1.8.4-5
%{?ruby_mod_ver_requires_eq}
Provides:	ruby-Ncurses
Obsoletes:	ruby-Ncurses
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This ruby extension makes most functions, constants, and external
variables of the C library ncurses accessible from the Ruby
programming language.

All C functions are wrapped by module functions of a the module
"Ncurses", with exactly the same name. Additionally, C functions
expecting a WINDOW* as their first argument can also be called as
methods of the "Ncurses::WINDOW" class.

%description -l pl.UTF-8
Rozszerzenie do ruby, które umożliwia dostęp do większość funkcji,
stałych i zewnętrznych zmiennych biblioteki ncurses z poziomu języka
Ruby.

Wszystkie funkcje C są dostępne poprzez funkcje modułu "Ncurses" pod
dokładnie tymi samymi nazwami. Dodatkowo funkcje, które spodziewają
się mieć WINDOW* jako ich pierwszy argument mogą być także wywoływane
jako metody klasy "Ncurses::WINDOW".

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-ruby-%{version}
%patch0 -p1

%build
ruby extconf.rb

%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/ncursesw -fPIC"

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm -f ri/created.rid

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_ridir},%{ruby_rdocdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{ruby_sitelibdir}/*.rb
%attr(755,root,root) %{ruby_sitearchdir}/*.so

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Ncurses

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ruby-ncurses.spec,v $
Revision 1.23  2010/03/01 18:46:50  baggins
- added rdoc and ri packages

Revision 1.22  2010/03/01 16:15:29  sparky
- BR: ncurses-devel

Revision 1.21  2010/02/27 19:05:37  baggins
- P:ruby-Ncurses

Revision 1.20  2010/02/27 18:39:45  baggins
- renamed ruby-Ncurses -> ruby-ncurses

Revision 1.19  2009/12/01 19:56:49  wiget
- unparallelize make install

Revision 1.18  2009/11/29 23:07:39  wiget
- updated to 1.2.4

Revision 1.17  2009/02/18 20:53:06  arekm
- release 7

Revision 1.16  2009/01/15 17:16:20  uzsolt
- utf8 patch
- rel 6
- please STBR

Revision 1.15  2007/04/15 12:36:19  megabajt
- release 5

Revision 1.14  2007/03/08 06:40:05  aredridel
- massive attack: correct ri output path for ruby 1.8.6

Revision 1.13  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:31  baggins
- converted to UTF-8

Revision 1.11  2006/01/01 12:11:01  twittner
- added BR: ruby-devel >= 1:1.8.4-5 (ruby with ruby-mkfm-shared.patch)
- rel. 4, STBR

Revision 1.10  2005/12/31 10:36:33  twittner
- change %%ruby_mod_ver_requires_eq to %%{?ruby_mod_ver_requires_eq} -
  expand this macro only if defined to avoid parse error when appropriate
  BRs is not installed yet (solution provided by glen)

Revision 1.9  2005/12/29 16:59:48  twittner
- replace R: ruby-modules with %%ruby_mod_ver_requires_eq macro
  defined as `Requires: ruby-modules(ver) = 1.8' where `1.8' is
  major ruby version taken from rbconfig
- add BR: rpmbuild(macros) >= 1.277 with aforementioned macros

Revision 1.8  2005/12/27 09:42:06  twittner
- (B)R: s/ruby/ruby-modules/, rel. 3 (mass commit through script)

Revision 1.7  2005/11/19 13:32:04  glen
- use system ruby macros
- cleanups, corrections, cosmetics

Revision 1.6  2004/10/24 23:10:03  paladine
- spelling fixes, uppercases, etc.

Revision 1.5  2004/09/05 18:24:29  qboosh
- typo, formatting, .so perms

Revision 1.4  2004/09/05 00:03:34  havner
- rel 2

Revision 1.3  2004/09/04 22:51:55  havner
- pl fixes

Revision 1.2  2004/09/04 22:37:51  havner
- pl description

Revision 1.1  2004/09/04 22:04:29  aredridel
- added. g'day, havner!
